# Filename: tri_get_node.py
# Purpose: Creates list of x,y,z coordinates for the node of a triangulation.
# Returns: List of node coordinates as doubles.

from maptek import vulcan

input_tri = 'cube.00t' # input triangulation

with vulcan.triangulation(input_tri) as tri:
    node = tri.get_node(0) # pass node index

    # do something with list of node coordinates...
    print(node)